diff -Naur drupal-7.43/includes/entity.inc drupal-7.50/includes/entity.inc
--- drupal-7.43/includes/entity.inc	2016-02-24 20:26:52.000000000 +0100
+++ drupal-7.50/includes/entity.inc	2016-07-07 20:25:52.000000000 +0200
@@ -446,7 +446,7 @@
  *
  * This class allows finding entities based on entity properties (for example,
  * node->changed), field values, and generic entity meta data (bundle,
- * entity type, entity id, and revision ID). It is not possible to query across
+ * entity type, entity ID, and revision ID). It is not possible to query across
  * multiple entity types. For example, there is no facility to find published
  * nodes written by users created in the last hour, as this would require
  * querying both node->status and user->created.
@@ -688,14 +688,36 @@
    * @param $field
    *   Either a field name or a field array.
    * @param $column
-   *   The column that should hold the value to be matched.
+   *   The column that should hold the value to be matched, defined in the
+   *   hook_field_schema() of this field. If this is omitted then all of the
+   *   other parameters are ignored, except $field, and this call will just be
+   *   adding a condition that says that the field has a value, rather than
+   *   testing the value itself.
    * @param $value
-   *   The value to test the column value against.
+   *   The value to test the column value against. In most cases, this is a
+   *   scalar. For more complex options, it is an array. The meaning of each
+   *   element in the array is dependent on $operator.
    * @param $operator
-   *   The operator to be used to test the given value.
+   *   The operator to be used to test the given value. The possible values are:
+   *   - '=', '<>', '>', '>=', '<', '<=', 'STARTS_WITH', 'CONTAINS': These
+   *     operators expect $value to be a literal of the same type as the
+   *     column.
+   *   - 'IN', 'NOT IN': These operators expect $value to be an array of
+   *     literals of the same type as the column.
+   *   - 'BETWEEN': This operator expects $value to be an array of two literals
+   *     of the same type as the column.
+   *   The operator can be omitted, and will default to 'IN' if the value is an
+   *   array, or to '=' otherwise.
    * @param $delta_group
    *   An arbitrary identifier: conditions in the same group must have the same
-   *   $delta_group.
+   *   $delta_group. For example, let's presume a multivalue field which has
+   *   two columns, 'color' and 'shape', and for entity ID 1, there are two
+   *   values: red/square and blue/circle. Entity ID 1 does not have values
+   *   corresponding to 'red circle'; however if you pass 'red' and 'circle' as
+   *   conditions, it will appear in the results -- by default queries will run
+   *   against any combination of deltas. By passing the conditions with the
+   *   same $delta_group it will ensure that only values attached to the same
+   *   delta are matched, and entity 1 would then be excluded from the results.
    * @param $language_group
    *   An arbitrary identifier: conditions in the same group must have the same
    *   $language_group.
@@ -770,9 +792,11 @@
    * @param $field
    *   Either a field name or a field array.
    * @param $column
-   *   A column defined in the hook_field_schema() of this field. If this is
-   *   omitted then the query will find only entities that have data in this
-   *   field, using the entity and property conditions if there are any.
+   *   The column that should hold the value to be matched, defined in the
+   *   hook_field_schema() of this field. If this is omitted then all of the
+   *   other parameters are ignored, except $field, and this call will just be
+   *   adding a condition that says that the field has a value, rather than
+   *   testing the value itself.
    * @param $value
    *   The value to test the column value against. In most cases, this is a
    *   scalar. For more complex options, it is an array. The meaning of each
@@ -791,10 +815,10 @@
    * @param $delta_group
    *   An arbitrary identifier: conditions in the same group must have the same
    *   $delta_group. For example, let's presume a multivalue field which has
-   *   two columns, 'color' and 'shape', and for entity id 1, there are two
+   *   two columns, 'color' and 'shape', and for entity ID 1, there are two
    *   values: red/square and blue/circle. Entity ID 1 does not have values
    *   corresponding to 'red circle', however if you pass 'red' and 'circle' as
-   *   conditions, it will appear in the  results - by default queries will run
+   *   conditions, it will appear in the results -- by default queries will run
    *   against any combination of deltas. By passing the conditions with the
    *   same $delta_group it will ensure that only values attached to the same
    *   delta are matched, and entity 1 would then be excluded from the results.
diff -Naur drupal-7.43/includes/errors.inc drupal-7.50/includes/errors.inc
--- drupal-7.43/includes/errors.inc	2016-02-24 20:26:52.000000000 +0100
+++ drupal-7.50/includes/errors.inc	2016-07-07 20:25:52.000000000 +0200
@@ -199,7 +199,16 @@
     $number++;
   }
 
-  watchdog('php', '%type: !message in %function (line %line of %file).', $error, $error['severity_level']);
+  // Log the error immediately, unless this is a non-fatal error which has been
+  // triggered via drupal_trigger_error_with_delayed_logging(); in that case
+  // trigger it in a shutdown function. Fatal errors are always triggered
+  // immediately since for a fatal error the page request will end here anyway.
+  if (!$fatal && drupal_static('_drupal_trigger_error_with_delayed_logging')) {
+    drupal_register_shutdown_function('watchdog', 'php', '%type: !message in %function (line %line of %file).', $error, $error['severity_level']);
+  }
+  else {
+    watchdog('php', '%type: !message in %function (line %line of %file).', $error, $error['severity_level']);
+  }
 
   if ($fatal) {
     drupal_add_http_header('Status', '500 Service unavailable (with message)');
diff -Naur drupal-7.43/includes/file.inc drupal-7.50/includes/file.inc
--- drupal-7.43/includes/file.inc	2016-02-24 20:26:52.000000000 +0100
+++ drupal-7.50/includes/file.inc	2016-07-07 20:25:52.000000000 +0200
@@ -2022,7 +2022,7 @@
  *
  * @see file_transfer()
  * @see file_download_access()
- * @see hook_file_downlaod()
+ * @see hook_file_download()
  */
 function file_download_headers($uri) {
   // Let other modules provide headers and control access to the file.
diff -Naur drupal-7.43/includes/form.inc drupal-7.50/includes/form.inc
--- drupal-7.43/includes/form.inc	2016-02-24 20:26:52.000000000 +0100
+++ drupal-7.50/includes/form.inc	2016-07-07 20:25:52.000000000 +0200
@@ -105,7 +105,8 @@
  *   generate the same form (or very similar forms) using different $form_ids
  *   can implement hook_forms(), which maps different $form_id values to the
  *   proper form constructor function. Examples may be found in node_forms(),
- *   and search_forms().
+ *   and search_forms(). hook_forms() can also be used to define forms in
+ *   classes.
  * @param ...
  *   Any additional arguments are passed on to the functions called by
  *   drupal_get_form(), including the unique form constructor function. For
@@ -809,7 +810,7 @@
     }
     if (isset($form_definition['callback'])) {
       $callback = $form_definition['callback'];
-      $form_state['build_info']['base_form_id'] = $callback;
+      $form_state['build_info']['base_form_id'] = isset($form_definition['base_form_id']) ? $form_definition['base_form_id'] : $callback;
     }
     // In case $form_state['wrapper_callback'] is not defined already, we also
     // allow hook_forms() to define one.
@@ -830,7 +831,7 @@
   // the actual form builder function ($callback) expects. This allows for
   // pre-populating a form with common elements for certain forms, such as
   // back/next/save buttons in multi-step form wizards. See drupal_build_form().
-  if (isset($form_state['wrapper_callback']) && function_exists($form_state['wrapper_callback'])) {
+  if (isset($form_state['wrapper_callback']) && is_callable($form_state['wrapper_callback'])) {
     $form = call_user_func_array($form_state['wrapper_callback'], $args);
     // Put the prepopulated $form into $args.
     $args[0] = $form;
@@ -2571,7 +2572,7 @@
  *   for this element. Return nothing to use the default.
  */
 function form_type_textarea_value($element, $input = FALSE) {
-  if ($input !== FALSE) {
+  if ($input !== FALSE && $input !== NULL) {
     // This should be a string, but allow other scalars since they might be
     // valid input in programmatic form submissions.
     return is_scalar($input) ? (string) $input : '';
@@ -3028,7 +3029,7 @@
 function password_confirm_validate($element, &$element_state) {
   $pass1 = trim($element['pass1']['#value']);
   $pass2 = trim($element['pass2']['#value']);
-  if (!empty($pass1) || !empty($pass2)) {
+  if (strlen($pass1) > 0 || strlen($pass2) > 0) {
     if (strcmp($pass1, $pass2)) {
       form_error($element, t('The specified passwords do not match.'));
     }
@@ -3545,6 +3546,7 @@
             '#return_value' => $key,
             '#default_value' => isset($value[$key]) ? $key : NULL,
             '#attributes' => $element['#attributes'],
+            '#ajax' => isset($element['#ajax']) ? $element['#ajax'] : NULL,
           );
         }
         else {
diff -Naur drupal-7.43/includes/install.core.inc drupal-7.50/includes/install.core.inc
--- drupal-7.43/includes/install.core.inc	2016-02-24 20:26:52.000000000 +0100
+++ drupal-7.50/includes/install.core.inc	2016-07-07 20:25:52.000000000 +0200
@@ -809,6 +809,13 @@
 
   variable_set('install_profile_modules', array_diff($modules, array('system')));
   $install_state['database_tables_exist'] = TRUE;
+
+  // Prevent the hook_requirements() check from telling us to convert the
+  // database to utf8mb4.
+  $connection = Database::getConnection();
+  if ($connection->utf8mb4IsConfigurable() && $connection->utf8mb4IsActive()) {
+    variable_set('drupal_all_databases_are_utf8mb4', TRUE);
+  }
 }
 
 /**
diff -Naur drupal-7.43/includes/locale.inc drupal-7.50/includes/locale.inc
--- drupal-7.43/includes/locale.inc	2016-02-24 20:26:52.000000000 +0100
+++ drupal-7.50/includes/locale.inc	2016-07-07 20:25:52.000000000 +0200
@@ -435,6 +435,13 @@
     switch (variable_get('locale_language_negotiation_url_part', LOCALE_LANGUAGE_NEGOTIATION_URL_PREFIX)) {
       case LOCALE_LANGUAGE_NEGOTIATION_URL_DOMAIN:
         if ($options['language']->domain) {
+          // Save the original base URL. If it contains a port, we need to
+          // retain it below.
+          if (!empty($options['base_url'])) {
+            // The colon in the URL scheme messes up the port checking below.
+            $normalized_base_url = str_replace(array('https://', 'http://'), '', $options['base_url']);
+          }
+
           // Ask for an absolute URL with our modified base_url.
           global $is_https;
           $url_scheme = ($is_https) ? 'https://' : 'http://';
@@ -449,6 +456,19 @@
 
           // Apply the appropriate protocol to the URL.
           $options['base_url'] = $url_scheme . $host;
+
+          // In case either the original base URL or the HTTP host contains a
+          // port, retain it.
+          $http_host = $_SERVER['HTTP_HOST'];
+          if (isset($normalized_base_url) && strpos($normalized_base_url, ':') !== FALSE) {
+            list($host, $port) = explode(':', $normalized_base_url);
+            $options['base_url'] .= ':' . $port;
+          }
+          elseif (strpos($http_host, ':') !== FALSE) {
+            list($host, $port) = explode(':', $http_host);
+            $options['base_url'] .= ':' . $port;
+          }
+
           if (isset($options['https']) && variable_get('https', FALSE)) {
             if ($options['https'] === TRUE) {
               $options['base_url'] = str_replace('http://', 'https://', $options['base_url']);
@@ -523,6 +543,22 @@
  * possible attack vector (img).
  */
 function locale_string_is_safe($string) {
+  // Some strings have tokens in them. For tokens in the first part of href or
+  // src HTML attributes, filter_xss() removes part of the token, the part
+  // before the first colon.  filter_xss() assumes it could be an attempt to
+  // inject javascript. When filter_xss() removes part of tokens, it causes the
+  // string to not be translatable when it should be translatable. See
+  // LocaleStringIsSafeTest::testLocaleStringIsSafe().
+  //
+  // We can recognize tokens since they are wrapped with brackets and are only
+  // composed of alphanumeric characters, colon, underscore, and dashes. We can
+  // be sure these strings are safe to strip out before the string is checked in
+  // filter_xss() because no dangerous javascript will match that pattern.
+  //
+  // @todo Do not strip out the token. Fix filter_xss() to not incorrectly
+  //   alter the string. https://www.drupal.org/node/2372127
+  $string = preg_replace('/\[[a-z0-9_-]+(:[a-z0-9_-]+)+\]/i', '', $string);
+
   return decode_entities($string) == decode_entities(filter_xss($string, array('a', 'abbr', 'acronym', 'address', 'b', 'bdo', 'big', 'blockquote', 'br', 'caption', 'cite', 'code', 'col', 'colgroup', 'dd', 'del', 'dfn', 'dl', 'dt', 'em', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'hr', 'i', 'ins', 'kbd', 'li', 'ol', 'p', 'pre', 'q', 'samp', 'small', 'span', 'strong', 'sub', 'sup', 'table', 'tbody', 'td', 'tfoot', 'th', 'thead', 'tr', 'tt', 'ul', 'var')));
 }
 
diff -Naur drupal-7.43/includes/menu.inc drupal-7.50/includes/menu.inc
--- drupal-7.43/includes/menu.inc	2016-02-24 20:26:52.000000000 +0100
+++ drupal-7.50/includes/menu.inc	2016-07-07 20:25:52.000000000 +0200
@@ -2419,7 +2419,7 @@
           // argument placeholders (%). Such links are not contained in regular
           // menu trees, and have only been loaded for the additional
           // translation that happens here, so as to be able to display them in
-          // the breadcumb for the current page.
+          // the breadcrumb for the current page.
           // @see _menu_tree_check_access()
           // @see _menu_link_translate()
           if (strpos($link['href'], '%') !== FALSE) {
diff -Naur drupal-7.43/includes/module.inc drupal-7.50/includes/module.inc
--- drupal-7.43/includes/module.inc	2016-02-24 20:26:52.000000000 +0100
+++ drupal-7.50/includes/module.inc	2016-07-07 20:25:52.000000000 +0200
@@ -227,6 +227,10 @@
   drupal_static_reset('list_themes');
   cache_clear_all('bootstrap_modules', 'cache_bootstrap');
   cache_clear_all('system_list', 'cache_bootstrap');
+
+  // Clean up the bootstrap file scan cache.
+  drupal_static_reset('_drupal_file_scan_cache');
+  cache_clear_all('_drupal_file_scan_cache', 'cache_bootstrap');
 }
 
 /**
@@ -936,7 +940,9 @@
  *
  * @return
  *   An array of return values of the hook implementations. If modules return
- *   arrays from their implementations, those are merged into one array.
+ *   arrays from their implementations, those are merged into one array
+ *   recursively. Note: integer keys in arrays will be lost, as the merge is
+ *   done using array_merge_recursive().
  *
  * @see drupal_alter()
  */
diff -Naur drupal-7.43/includes/session.inc drupal-7.50/includes/session.inc
--- drupal-7.43/includes/session.inc	2016-02-24 20:26:52.000000000 +0100
+++ drupal-7.50/includes/session.inc	2016-07-07 20:25:52.000000000 +0200
@@ -163,7 +163,7 @@
   try {
     if (!drupal_save_session()) {
       // We don't have anything to do if we are not allowed to save the session.
-      return;
+      return TRUE;
     }
 
     // Check whether $_SESSION has been changed in this request.
@@ -425,7 +425,7 @@
 
   // Nothing to do if we are not allowed to change the session.
   if (!drupal_save_session()) {
-    return;
+    return TRUE;
   }
 
   // Delete session data.
@@ -446,6 +446,8 @@
   elseif (variable_get('https', FALSE)) {
     _drupal_session_delete_cookie('S' . session_name(), TRUE);
   }
+
+  return TRUE;
 }
 
 /**
diff -Naur drupal-7.43/includes/update.inc drupal-7.50/includes/update.inc
--- drupal-7.43/includes/update.inc	2016-02-24 20:26:52.000000000 +0100
+++ drupal-7.50/includes/update.inc	2016-07-07 20:25:52.000000000 +0200
@@ -795,6 +795,14 @@
 function update_fix_d7_install_profile() {
   $profile = drupal_get_profile();
 
+  // 'Default' profile has been renamed to 'Standard' in D7.
+  // We change the profile here to prevent a broken record in the system table.
+  // See system_update_7049().
+  if ($profile == 'default') {
+    $profile = 'standard';
+    variable_set('install_profile', $profile);
+  }
+
   $results = db_select('system', 's')
     ->fields('s', array('name', 'schema_version'))
     ->condition('name', $profile)
diff -Naur drupal-7.43/modules/aggregator/aggregator.info drupal-7.50/modules/aggregator/aggregator.info
--- drupal-7.43/modules/aggregator/aggregator.info	2016-02-24 20:51:46.000000000 +0100
+++ drupal-7.50/modules/aggregator/aggregator.info	2016-07-07 21:08:13.000000000 +0200
@@ -7,8 +7,8 @@
 configure = admin/config/services/aggregator/settings
 stylesheets[all][] = aggregator.css
 
-; Information added by Drupal.org packaging script on 2016-02-24
-version = "7.43"
+; Information added by Drupal.org packaging script on 2016-07-07
+version = "7.50"
 project = "drupal"
-datestamp = "1456343506"
+datestamp = "1467918493"
 
diff -Naur drupal-7.43/modules/aggregator/tests/aggregator_test.info drupal-7.50/modules/aggregator/tests/aggregator_test.info
--- drupal-7.43/modules/aggregator/tests/aggregator_test.info	2016-02-24 20:51:46.000000000 +0100
+++ drupal-7.50/modules/aggregator/tests/aggregator_test.info	2016-07-07 21:08:13.000000000 +0200
@@ -5,8 +5,8 @@
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-02-24
-version = "7.43"
+; Information added by Drupal.org packaging script on 2016-07-07
+version = "7.50"
 project = "drupal"
-datestamp = "1456343506"
+datestamp = "1467918493"
 
diff -Naur drupal-7.43/modules/block/block.info drupal-7.50/modules/block/block.info
--- drupal-7.43/modules/block/block.info	2016-02-24 20:51:46.000000000 +0100
+++ drupal-7.50/modules/block/block.info	2016-07-07 21:08:13.000000000 +0200
@@ -6,8 +6,8 @@
 files[] = block.test
 configure = admin/structure/block
 
-; Information added by Drupal.org packaging script on 2016-02-24
-version = "7.43"
+; Information added by Drupal.org packaging script on 2016-07-07
+version = "7.50"
 project = "drupal"
-datestamp = "1456343506"
+datestamp = "1467918493"
 
diff -Naur drupal-7.43/modules/block/tests/block_test.info drupal-7.50/modules/block/tests/block_test.info
--- drupal-7.43/modules/block/tests/block_test.info	2016-02-24 20:51:46.000000000 +0100
+++ drupal-7.50/modules/block/tests/block_test.info	2016-07-07 21:08:13.000000000 +0200
@@ -5,8 +5,8 @@
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-02-24
-version = "7.43"
+; Information added by Drupal.org packaging script on 2016-07-07
+version = "7.50"
 project = "drupal"
-datestamp = "1456343506"
+datestamp = "1467918493"
 
diff -Naur drupal-7.43/modules/block/tests/themes/block_test_theme/block_test_theme.info drupal-7.50/modules/block/tests/themes/block_test_theme/block_test_theme.info
--- drupal-7.43/modules/block/tests/themes/block_test_theme/block_test_theme.info	2016-02-24 20:51:46.000000000 +0100
+++ drupal-7.50/modules/block/tests/themes/block_test_theme/block_test_theme.info	2016-07-07 21:08:13.000000000 +0200
@@ -13,8 +13,8 @@
 regions[highlighted] = Highlighted
 regions[help] = Help
 
-; Information added by Drupal.org packaging script on 2016-02-24
-version = "7.43"
+; Information added by Drupal.org packaging script on 2016-07-07
+version = "7.50"
 project = "drupal"
-datestamp = "1456343506"
+datestamp = "1467918493"
 
diff -Naur drupal-7.43/modules/blog/blog.info drupal-7.50/modules/blog/blog.info
--- drupal-7.43/modules/blog/blog.info	2016-02-24 20:51:46.000000000 +0100
+++ drupal-7.50/modules/blog/blog.info	2016-07-07 21:08:13.000000000 +0200
@@ -5,8 +5,8 @@
 core = 7.x
 files[] = blog.test
 
-; Information added by Drupal.org packaging script on 2016-02-24
-version = "7.43"
+; Information added by Drupal.org packaging script on 2016-07-07
+version = "7.50"
 project = "drupal"
-datestamp = "1456343506"
+datestamp = "1467918493"
 
diff -Naur drupal-7.43/modules/blog/blog.module drupal-7.50/modules/blog/blog.module
--- drupal-7.43/modules/blog/blog.module	2016-02-24 20:26:52.000000000 +0100
+++ drupal-7.50/modules/blog/blog.module	2016-07-07 20:25:52.000000000 +0200
@@ -152,7 +152,7 @@
     }
   }
   // Provide a helper action link to the author on the 'blog/%' page.
-  elseif ($root_path == 'blog/%' && $router_item['page_arguments'][0]->uid == $user->uid) {
+  elseif ($root_path == 'blog/%' && isset($router_item['page_arguments'][0]->uid) && $router_item['page_arguments'][0]->uid == $user->uid) {
     $data['actions']['output']['blog'] = array(
       '#theme' => 'menu_local_action',
     );
diff -Naur drupal-7.43/modules/book/book.info drupal-7.50/modules/book/book.info
--- drupal-7.43/modules/book/book.info	2016-02-24 20:51:46.000000000 +0100
+++ drupal-7.50/modules/book/book.info	2016-07-07 21:08:13.000000000 +0200
@@ -7,8 +7,8 @@
 configure = admin/content/book/settings
 stylesheets[all][] = book.css
 
-; Information added by Drupal.org packaging script on 2016-02-24
-version = "7.43"
+; Information added by Drupal.org packaging script on 2016-07-07
+version = "7.50"
 project = "drupal"
-datestamp = "1456343506"
+datestamp = "1467918493"
 
diff -Naur drupal-7.43/modules/color/color.info drupal-7.50/modules/color/color.info
--- drupal-7.43/modules/color/color.info	2016-02-24 20:51:46.000000000 +0100
+++ drupal-7.50/modules/color/color.info	2016-07-07 21:08:13.000000000 +0200
@@ -5,8 +5,8 @@
 core = 7.x
 files[] = color.test
 
-; Information added by Drupal.org packaging script on 2016-02-24
-version = "7.43"
+; Information added by Drupal.org packaging script on 2016-07-07
+version = "7.50"
 project = "drupal"
-datestamp = "1456343506"
+datestamp = "1467918493"
 
diff -Naur drupal-7.43/modules/comment/comment.info drupal-7.50/modules/comment/comment.info
--- drupal-7.43/modules/comment/comment.info	2016-02-24 20:51:46.000000000 +0100
+++ drupal-7.50/modules/comment/comment.info	2016-07-07 21:08:13.000000000 +0200
@@ -9,8 +9,8 @@
 configure = admin/content/comment
 stylesheets[all][] = comment.css
 
-; Information added by Drupal.org packaging script on 2016-02-24
-version = "7.43"
+; Information added by Drupal.org packaging script on 2016-07-07
+version = "7.50"
 project = "drupal"
-datestamp = "1456343506"
+datestamp = "1467918493"
 
diff -Naur drupal-7.43/modules/comment/comment.test drupal-7.50/modules/comment/comment.test
--- drupal-7.43/modules/comment/comment.test	2016-02-24 20:26:52.000000000 +0100
+++ drupal-7.50/modules/comment/comment.test	2016-07-07 20:25:52.000000000 +0200
@@ -13,7 +13,7 @@
   function setUp() {
     parent::setUp('comment', 'search');
     // Create users and test node.
-    $this->admin_user = $this->drupalCreateUser(array('administer content types', 'administer comments', 'administer blocks', 'administer actions'));
+    $this->admin_user = $this->drupalCreateUser(array('administer content types', 'administer comments', 'administer blocks', 'administer actions', 'administer fields'));
     $this->web_user = $this->drupalCreateUser(array('access comments', 'post comments', 'create article content', 'edit own comments'));
     $this->node = $this->drupalCreateNode(array('type' => 'article', 'promote' => 1, 'uid' => $this->web_user->uid));
   }
diff -Naur drupal-7.43/modules/contact/contact.info drupal-7.50/modules/contact/contact.info
--- drupal-7.43/modules/contact/contact.info	2016-02-24 20:51:46.000000000 +0100
+++ drupal-7.50/modules/contact/contact.info	2016-07-07 21:08:13.000000000 +0200
@@ -6,8 +6,8 @@
 files[] = contact.test
 configure = admin/structure/contact
 
-; Information added by Drupal.org packaging script on 2016-02-24
-version = "7.43"
+; Information added by Drupal.org packaging script on 2016-07-07
+version = "7.50"
 project = "drupal"
-datestamp = "1456343506"
+datestamp = "1467918493"
 
diff -Naur drupal-7.43/modules/contextual/contextual.info drupal-7.50/modules/contextual/contextual.info
--- drupal-7.43/modules/contextual/contextual.info	2016-02-24 20:51:46.000000000 +0100
+++ drupal-7.50/modules/contextual/contextual.info	2016-07-07 21:08:13.000000000 +0200
@@ -5,8 +5,8 @@
 core = 7.x
 files[] = contextual.test
 
-; Information added by Drupal.org packaging script on 2016-02-24
-version = "7.43"
+; Information added by Drupal.org packaging script on 2016-07-07
+version = "7.50"
 project = "drupal"
-datestamp = "1456343506"
+datestamp = "1467918493"
 
diff -Naur drupal-7.43/modules/dashboard/dashboard.info drupal-7.50/modules/dashboard/dashboard.info
--- drupal-7.43/modules/dashboard/dashboard.info	2016-02-24 20:51:46.000000000 +0100
+++ drupal-7.50/modules/dashboard/dashboard.info	2016-07-07 21:08:13.000000000 +0200
@@ -7,8 +7,8 @@
 dependencies[] = block
 configure = admin/dashboard/customize
 
-; Information added by Drupal.org packaging script on 2016-02-24
-version = "7.43"
+; Information added by Drupal.org packaging script on 2016-07-07
+version = "7.50"
 project = "drupal"
-datestamp = "1456343506"
+datestamp = "1467918493"
 
diff -Naur drupal-7.43/modules/dblog/dblog.info drupal-7.50/modules/dblog/dblog.info
--- drupal-7.43/modules/dblog/dblog.info	2016-02-24 20:51:46.000000000 +0100
+++ drupal-7.50/modules/dblog/dblog.info	2016-07-07 21:08:13.000000000 +0200
@@ -5,8 +5,8 @@
 core = 7.x
 files[] = dblog.test
 
-; Information added by Drupal.org packaging script on 2016-02-24
-version = "7.43"
+; Information added by Drupal.org packaging script on 2016-07-07
+version = "7.50"
 project = "drupal"
-datestamp = "1456343506"
+datestamp = "1467918493"
 
diff -Naur drupal-7.43/modules/field/field.info drupal-7.50/modules/field/field.info
--- drupal-7.43/modules/field/field.info	2016-02-24 20:51:46.000000000 +0100
+++ drupal-7.50/modules/field/field.info	2016-07-07 21:08:13.000000000 +0200
@@ -11,8 +11,8 @@
 required = TRUE
 stylesheets[all][] = theme/field.css
 
-; Information added by Drupal.org packaging script on 2016-02-24
-version = "7.43"
+; Information added by Drupal.org packaging script on 2016-07-07
+version = "7.50"
 project = "drupal"
-datestamp = "1456343506"
+datestamp = "1467918493"
 
diff -Naur drupal-7.43/modules/field/field.install drupal-7.50/modules/field/field.install
--- drupal-7.43/modules/field/field.install	2016-02-24 20:26:52.000000000 +0100
+++ drupal-7.50/modules/field/field.install	2016-07-07 20:25:52.000000000 +0200
@@ -468,5 +468,26 @@
 }
 
 /**
+ * Grant the new "administer fields" permission to trusted users.
+ */
+function field_update_7004() {
+  // Assign the permission to anyone that already has a trusted core permission
+  // that would have previously let them administer fields on an entity type.
+  $rids = array();
+  $permissions = array(
+    'administer site configuration',
+    'administer content types',
+    'administer users',
+  );
+  foreach ($permissions as $permission) {
+    $rids = array_merge($rids, array_keys(user_roles(FALSE, $permission)));
+  }
+  $rids = array_unique($rids);
+  foreach ($rids as $rid) {
+    _update_7000_user_role_grant_permissions($rid, array('administer fields'), 'field');
+  }
+}
+
+/**
  * @} End of "addtogroup updates-7.x-extra".
  */
diff -Naur drupal-7.43/modules/field/field.module drupal-7.50/modules/field/field.module
--- drupal-7.43/modules/field/field.module	2016-02-24 20:26:52.000000000 +0100
+++ drupal-7.50/modules/field/field.module	2016-07-07 20:25:52.000000000 +0200
@@ -317,6 +317,21 @@
 }
 
 /**
+ * Implements hook_permission().
+ */
+function field_permission() {
+  return array(
+    'administer fields' => array(
+      'title' => t('Administer fields'),
+      'description' => t('Additional permissions are required based on what the fields are attached to (for example, <a href="@url">administer content types</a> to manage fields attached to content).', array(
+        '@url' => '#module-node',
+      )),
+      'restrict access' => TRUE,
+    ),
+  );
+}
+
+/**
  * Implements hook_theme().
  */
 function field_theme() {
diff -Naur drupal-7.43/modules/field/modules/field_sql_storage/field_sql_storage.info drupal-7.50/modules/field/modules/field_sql_storage/field_sql_storage.info
--- drupal-7.43/modules/field/modules/field_sql_storage/field_sql_storage.info	2016-02-24 20:51:46.000000000 +0100
+++ drupal-7.50/modules/field/modules/field_sql_storage/field_sql_storage.info	2016-07-07 21:08:13.000000000 +0200
@@ -7,8 +7,8 @@
 files[] = field_sql_storage.test
 required = TRUE
 
-; Information added by Drupal.org packaging script on 2016-02-24
-version = "7.43"
+; Information added by Drupal.org packaging script on 2016-07-07
+version = "7.50"
 project = "drupal"
-datestamp = "1456343506"
+datestamp = "1467918493"
 
diff -Naur drupal-7.43/modules/field/modules/list/list.info drupal-7.50/modules/field/modules/list/list.info
--- drupal-7.43/modules/field/modules/list/list.info	2016-02-24 20:51:46.000000000 +0100
+++ drupal-7.50/modules/field/modules/list/list.info	2016-07-07 21:08:13.000000000 +0200
@@ -7,8 +7,8 @@
 dependencies[] = options
 files[] = tests/list.test
 
-; Information added by Drupal.org packaging script on 2016-02-24
-version = "7.43"
+; Information added by Drupal.org packaging script on 2016-07-07
+version = "7.50"
 project = "drupal"
-datestamp = "1456343506"
+datestamp = "1467918493"
 
diff -Naur drupal-7.43/modules/field/modules/list/tests/list.test drupal-7.50/modules/field/modules/list/tests/list.test
--- drupal-7.43/modules/field/modules/list/tests/list.test	2016-02-24 20:26:52.000000000 +0100
+++ drupal-7.50/modules/field/modules/list/tests/list.test	2016-07-07 20:25:52.000000000 +0200
@@ -212,7 +212,7 @@
     parent::setUp('field_test', 'field_ui');
 
     // Create test user.
-    $admin_user = $this->drupalCreateUser(array('access content', 'administer content types', 'administer taxonomy'));
+    $admin_user = $this->drupalCreateUser(array('access content', 'administer content types', 'administer taxonomy', 'administer fields'));
     $this->drupalLogin($admin_user);
 
     // Create content type, with underscores.
diff -Naur drupal-7.43/modules/field/modules/list/tests/list_test.info drupal-7.50/modules/field/modules/list/tests/list_test.info
--- drupal-7.43/modules/field/modules/list/tests/list_test.info	2016-02-24 20:51:46.000000000 +0100
+++ drupal-7.50/modules/field/modules/list/tests/list_test.info	2016-07-07 21:08:13.000000000 +0200
@@ -5,8 +5,8 @@
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-02-24
-version = "7.43"
+; Information added by Drupal.org packaging script on 2016-07-07
+version = "7.50"
 project = "drupal"
-datestamp = "1456343506"
+datestamp = "1467918493"
 
diff -Naur drupal-7.43/modules/field/modules/number/number.info drupal-7.50/modules/field/modules/number/number.info
--- drupal-7.43/modules/field/modules/number/number.info	2016-02-24 20:51:46.000000000 +0100
+++ drupal-7.50/modules/field/modules/number/number.info	2016-07-07 21:08:13.000000000 +0200
@@ -6,8 +6,8 @@
 dependencies[] = field
 files[] = number.test
 
-; Information added by Drupal.org packaging script on 2016-02-24
-version = "7.43"
+; Information added by Drupal.org packaging script on 2016-07-07
+version = "7.50"
 project = "drupal"
-datestamp = "1456343506"
+datestamp = "1467918493"
 
